|  | Home · All Classes · Modules

# QGraphicsItem.GraphicsItemFlags Class Reference
[QtGui module]

### Methods

- __init__ (self, GraphicsItemFlags)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- GraphicsItemFlags __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, GraphicsItemFlags f)
- GraphicsItemFlags __iand__ (self, int mask)
- int __int__ (self)
- GraphicsItemFlags __invert__ (self)
- GraphicsItemFlags __ior__ (self, GraphicsItemFlags f)
- GraphicsItemFlags __ixor__ (self, GraphicsItemFlags f)
- bool __ne__ (self, GraphicsItemFlags f)
- GraphicsItemFlags __or__ (self, GraphicsItemFlags f)
- GraphicsItemFlags __or__ (self, int f)
- GraphicsItemFlags __xor__ (self, GraphicsItemFlags f)
- GraphicsItemFlags __xor__ (self, int f)

## Detailed Description

GraphicsItemFlag may be used whenever GraphicsItemFlags is expected.

## Method Documentation

### GraphicsItemFlags.__init__ (self, GraphicsItemFlags)

### GraphicsItemFlags.__init__ (self, int)

### GraphicsItemFlags.__init__ (self)

### GraphicsItemFlags GraphicsItemFlags.__and__ (self, int mask)

### int GraphicsItemFlags.__bool__ (self)

### bool GraphicsItemFlags.__eq__ (self, GraphicsItemFlags f)

### GraphicsItemFlags GraphicsItemFlags.__iand__ (self, int mask)

### int GraphicsItemFlags.__int__ (self)

### GraphicsItemFlags GraphicsItemFlags.__invert__ (self)

### GraphicsItemFlags GraphicsItemFlags.__ior__ (self, GraphicsItemFlags f)

### GraphicsItemFlags GraphicsItemFlags.__ixor__ (self, GraphicsItemFlags f)

### bool GraphicsItemFlags.__ne__ (self, GraphicsItemFlags f)

### GraphicsItemFlags GraphicsItemFlags.__or__ (self, GraphicsItemFlags f)

### GraphicsItemFlags GraphicsItemFlags.__or__ (self, int f)

### GraphicsItemFlags GraphicsItemFlags.__xor__ (self, GraphicsItemFlags f)

### GraphicsItemFlags GraphicsItemFlags.__xor__ (self, int f)